Bug 7134 - Debian patches need incorporating into ccache
Debian patches need incorporating into ccache
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
2.4
All Linux
: P3 normal
: 3.0
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-14 12:32 UTC by William S Fulton
Modified: 2010-07-09 04:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William S Fulton 2010-02-14 12:32:50 UTC
As ccache has not been maintained for a few years and various bugs have been fixed, it seems that the unofficial build of ccache is the currently the one released by Debian. They have 17 patches that they have accumulated and applied to 2.4. I suggest that these are applied and released as a new version of ccache, so that the official repository catches up with what the majority of people are most likely using. 

The patches can be viewed here:
http://patch-tracker.debian.org/package/ccache/2.4-17

The Debian ccache pages:
http://packages.debian.org/unstable/ccache

There are other patches and bugs to consider in the Debian bug tracker:
http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=ccache;dist=unstable

Gentoo also have a few patches:
http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-util/ccache/files/
Comment 1 Joel Rosdahl 2010-02-20 09:02:49 UTC
The (relevant) patches accumulated by Debian and Gentoo have been applied and will be part of the next release.

(My current plan is to go straight for 3.0 and not release an intermediate 2.5 with just the patches.)
Comment 2 William S Fulton 2010-02-21 15:34:10 UTC
Great. If you are going to have a major version number upgrade, I think it would be a great opportunity to upgrade to GPL v3.0 at the same time.
Comment 3 Joel Rosdahl 2010-02-28 13:50:23 UTC
Yes, GPLv3+ might be a good idea. Thanks for mentioning it.